Content

Will it work on my Joomla! installation?

On every product detail, there is a tag, identifying what Joomla! version is is for: 1.5, 2.5, 3.x